#!/usr/bin/perl
# return the gc% in a set of sequences

if( $#ARGV != 0 ){
	print "Usage: input\n";
	exit;
}

$gc = 0;
$tot = 0;
open(IN,"$ARGV[0]");
while($line = <IN>){
	chomp($line);
	for($i=0; $i< length($line); $i++){
		$x = substr($line,$i,1);
		if( $x eq "a" || $x eq "t" || $x eq "A" || $x eq "T" ){
			$tot++;
		}
		if( $x eq "g" || $x eq "c" || $x eq "G" || $x eq "C" ){
			$tot++;
			$gc++;
		}
	}
}
close(IN);

printf("%f\n", $gc/$tot);

