#!/usr/bin/perl
# make N sequences of length l with GC% x

if( $#ARGV != 3 ){
	print "Usage: Number GC_percent length output\n";
	exit;
}

open(OUT,">$ARGV[3]");
for($i=0; $i< $ARGV[0]; $i++){
	for($j=0; $j< $ARGV[2]; $j++){
		#
		# choose GC or AT
		#
		if( rand() < $ARGV[1] ){
			# G or C, 50/50
			if( rand() < 0.5 ){print OUT "G";}
			else{print OUT "C";}
		}
		else{
			# A or T, 50/50
			if( rand() < 0.5 ){print OUT "A";}
			else{print OUT "T";}
		}
	}
	print OUT "\n";
}
close(OUT);


